(function(w) {
	'use strict';

	w.mx = w.mx || {};
	w.mx.workspacesConfig = w.mx.workspacesConfig || {};
	w.mx.workspacesConfig.modules = w.mx.workspacesConfig.modules || {};
	w.mx.workspacesConfig.modules.add = w.mx.workspacesConfig.modules.add || function (name, config) {
		w.mx.workspacesConfig.modules[name] = config;
	};

	w.mx.workspacesConfig.modules.add('mx.MxCustomIcons', {
		name: 'mx.MxCustomIcons',
		config: ['$mdIconProvider', function ($mdIconProvider) {
			$mdIconProvider.iconSet('test-icons', 'workspaces/ImagoVerum_CustomIcons/customIcons.svg');

			w.mx = w.mx || {};
			w.mx.components = w.mx.components || {};
			w.mx.components.Icons = w.mx.components.Icons || {};

			w.mx.components.Icons.unshift({
				'id': 'test-icons',
				'name': 'Test Icons',
				'icons': [{
					'SVG': true,
					'id': 'test-icons:icon-home',
					'name': 'home',
					'keywords': ['tst', 'test', 'custom', 'home']
				}, {
					'SVG': true,
					'id': 'test-icons:icon-home2',
					'name': 'home2',
					'keywords': ['tst', 'test', 'custom', 'home']
				}, {
					'SVG': true,
					'id': 'test-icons:icon-home3',
					'name': 'home3',
					'keywords': ['tst', 'test', 'custom', 'home']
				}]
			});
		}]
	});

})(window);